Bug 80022 - RedHat Linux 8.0 install via nfs fails
RedHat Linux 8.0 install via nfs fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-18 16:45 EST by Need Real Name
Modified: 2007-04-18 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback dump (43.06 KB, text/plain)
2003-01-02 11:44 EST, Need Real Name
no flags Details
anaconda dump installing from NFS mounted iso files (51.11 KB, text/plain)
2003-01-02 11:45 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-12-18 16:45:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.4)
Gecko/20011128 Netscape6/6.2.1

Description of problem:
RedHat Linux 8.0 install via nfs fails

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Steps to Reproduce:
1. Build 8.0 repository subdirectory OR use iso image repository per RedHat
instructions
2. Build bootdisk (bootnet.img) or use PXE boot (has worked great for us with 7.3)
3. Start the install selecting either Workstation or Custom. Errors out after
setting root password page and hitting next.

    

Actual Results:  Actual Results:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 121, in readPackages
    id.instClass.setGroupSelection(id.comps)
  File "/usr/lib/anaconda/installclasses/workstation.py", line 15, in
setGroupSelection
    personal_desktop.InstallClass.setGroupSelection(self, comps)
  File "/usr/lib/anaconda/installclasses/personal_desktop.py", line 33, in
setGroupSelection
    comps["Workstation Common"].includeMembers()
  File "/usr/lib/anaconda/comps.py", line 580, in __getitem__
    return self.compsDict[key]
KeyError: Workstation Common



Expected Results:  Expected Results:
successful installation



Additional info:

Additional Information:
We have rebuilt the nfs mounted repository several times. we've tried installing
by pointing to mounted isoimage directory and we've double checked our nfs server.
I have the entire anacdump.txt file saved if you need it.
Comment 1 Michael Fulbright 2002-12-19 10:09:49 EST
The error log file would be appreciated.
Comment 2 Need Real Name 2003-01-02 11:38:48 EST
Adding other previous comments from ltc1415
------- Additional Comment #7 From Salina Chu(salina@us.ibm.com)  2002-10-22
12:40 -------

I was able to use NFS to install RedHat 8.0 by doing 
1. use the bootnet.img to create floppy image, install from floppy
2. use update image mentioned in RedHat bugzilla to create update floppy image
   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=75377
8.0-cdread.img has anaconda updates on that disk
3. At boot prompt, type linux updates 
   ( as the install continues, at some point during the install, 
     it will prompt you for the
     update image floppy disk )
4. On the NFS server, while following RedHat install instructions
   to create the NFS install tree, 
   I noticed copying 2nd and 3rd binary disk
   overlayed TRANS.TBL.   I copied the files from the 1st binary disk back 
   since the first disk is usually used for install.

Jeff was able to use my instructions and my NFS server to install his machine.
He is now trying to fix his NFS server and re-try install.

------- Additional Comment #9 From Jeff Martin(ffej@us.ibm.com)  2002-10-22
13:49 -------

Copied the TRANS.TBL files from CD1 to proper locations on nfs repository. This
didn't fix the problem. Looks like anaconda changes on the update disk are going
to be the solution. Creating RHupdates directory on nfs repository to put the
update image in. Will see if that will allow automated nfs installs.


------- Additional Comment #10 From Jeff Martin(ffej@us.ibm.com) 2002-10-22
16:05 -------

Found reference in http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=75181 to
TRANS.TBL problems. I deleted all of the TRANS.TBL files from RedHat 8.0 nfs
repository and the installs work now.
I am inclined to believe that there is a defect in anaconda associated with
attempts to use TRANS.TBL in an nfs install.


------- Additional Comment #11 From Salina Chu(salina@us.ibm.com) 2002-10-22
16:08 -------

Found description of what TRANS.TBL is 

ttp://www.tamsinc.com/cdr/mkisofs.htm


------- Additional Comment #12 From Salina Chu(salina@us.ibm.com) 2002-10-22
16:09 -------

Ooops.  left the h out in http

Found description of what TRANS.TBL is 

http://www.tamsinc.com/cdr/mkisofs.htm

------- Additional Comment #18 From Salina Chu(salina@us.ibm.com)  2002-10-22
18:31 -------

We also tried to install from NFS directory that just has the iso images in 
there.  This type of NFS install did not work.
I had already attached another anacdump file, please send that to RedHat.


------- Additional Comment #19 From Salina Chu(salina@us.ibm.com) 2002-10-23
11:44 -------

I moved cd4-6 iso files ( source ISO images ) to another file system.
Using NFS images + using updates floppy,  I am able to install RH 8.0 
workstation.   Will try all packages and without using updates floppy later. 


------- Additional Comment #20 From Salina Chu(salina@us.ibm.com) 2002-10-23
15:57 -------

I can install using NFS iso images, but only using iso 1-3.
I can do custom install, choose everything, did not need to use updates floppy 
either.   




------- Additional Comment #23 From Salina Chu(salina@us.ibm.com) 2002-12-18
18:22 -------

We had found work arounds for the NFS install - we said that in previous 
appends.   The work arounds are 
(1) remove all the TRANS.TBL files from the expanded install tree
(2) If using ISO files, only have first 3 ISO files on the NFS mounted dir.

This is why Jeff lowered the severity from blocking to regular because he can 
install using NFS by using work around (1).

RedHat should either fix the documentation on NFS install or fix the installer 
code.  

Comment 3 Need Real Name 2003-01-02 11:44:26 EST
Created attachment 89058 [details]
anaconda traceback dump

anaconda traceback dump
Comment 4 Need Real Name 2003-01-02 11:45:24 EST
Created attachment 89059 [details]
anaconda dump installing from NFS mounted iso files

anaconda dump installing from NFS mounted iso files
Comment 5 Jeremy Katz 2003-01-10 01:45:20 EST
The problem was that you had the documentation CDs in the same directory.  There
is code in our current codebase to handle this properly.
Comment 6 Need Real Name 2003-01-28 18:17:04 EST
Adding another comment from ltc1415:
There are 2 ways to do NFS install,
(1) Expand ISO files into directory trees
    - we found we had to remove TRANS.TBL files before this method works
(2) use iso images only
    - we found we had to remove doc iso images from the directory before this
      method works
your last append sounds like RedHat fixed one way of installing - method (2).

How about the expanded tree way ? i.e. why do I need to remove the TRANS.TBL 
files ?   Is that fixed ? or are they changing documentation telling people to 
remove those files first before using NFS install ?

Salina
Comment 7 Jeremy Katz 2006-04-24 14:42:36 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.